> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count Sessions



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/projects/{project_id}/sessions/count
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/sessions/count:
    post:
      tags:
        - trace
      summary: Count Sessions
      operationId: count_sessions_v2_projects__project_id__sessions_count_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LogRecordsQueryCountRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LogRecordsQueryCountResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    LogRecordsQueryCountRequest:
      properties:
        log_stream_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Log Stream Id
          description: Log stream id associated with the traces.
        experiment_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Experiment Id
          description: Experiment id associated with the traces.
        metrics_testing_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Metrics Testing Id
          description: Metrics testing id associated with the traces.
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/LogRecordsIDFilter'
              - $ref: '#/components/schemas/LogRecordsDateFilter'
              - $ref: '#/components/schemas/LogRecordsNumberFilter'
              - $ref: '#/components/schemas/LogRecordsBooleanFilter'
              - $ref: '#/components/schemas/LogRecordsCollectionFilter'
              - $ref: '#/components/schemas/LogRecordsTextFilter'
              - $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
            discriminator:
              propertyName: type
              mapping:
                boolean:
                  $ref: '#/components/schemas/LogRecordsBooleanFilter'
                collection:
                  $ref: '#/components/schemas/LogRecordsCollectionFilter'
                date:
                  $ref: '#/components/schemas/LogRecordsDateFilter'
                fully_annotated:
                  $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
                id:
                  $ref: '#/components/schemas/LogRecordsIDFilter'
                number:
                  $ref: '#/components/schemas/LogRecordsNumberFilter'
                text:
                  $ref: '#/components/schemas/LogRecordsTextFilter'
          type: array
          title: Filters
        filter_tree:
          anyOf:
            - $ref: >-
                #/components/schemas/FilterExpression_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
            - type: 'null'
      type: object
      title: LogRecordsQueryCountRequest
      example:
        filters:
          - case_sensitive: true
            name: input
            operator: eq
            type: text
            value: example input
        log_stream_id: 74aec44e-ec21-4c9f-a3e2-b2ab2b81b4db
    LogRecordsQueryCountResponse:
      properties:
        total_count:
          type: integer
          title: Total Count
          description: Total number of records matching the query
      type: object
      required:
        - total_count
      title: LogRecordsQueryCountResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LogRecordsIDFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
        type:
          type: string
          const: id
          title: Type
          default: id
      type: object
      required:
        - column_id
        - value
      title: LogRecordsIDFilter
    LogRecordsDateFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
        type:
          type: string
          const: date
          title: Type
          default: date
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsDateFilter
    LogRecordsNumberFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
            - between
          title: Operator
        value:
          anyOf:
            - type: integer
            - type: number
            - items:
                type: integer
              type: array
            - items:
                type: number
              type: array
          title: Value
        type:
          type: string
          const: number
          title: Type
          default: number
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsNumberFilter
    LogRecordsBooleanFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
          title: Operator
          default: eq
        value:
          type: boolean
          title: Value
        type:
          type: string
          const: boolean
          title: Type
          default: boolean
      type: object
      required:
        - column_id
        - value
      title: LogRecordsBooleanFilter
    LogRecordsCollectionFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
        type:
          type: string
          const: collection
          title: Type
          default: collection
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsCollectionFilter
    LogRecordsTextFilter:
      properties:
        column_id:
          type: string
          title: Column Id
          description: ID of the column to filter.
        operator:
          type: string
          enum:
            - eq
            - ne
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
        type:
          type: string
          const: text
          title: Type
          default: text
      type: object
      required:
        - column_id
        - operator
        - value
      title: LogRecordsTextFilter
    LogRecordsFullyAnnotatedFilter:
      properties:
        column_id:
          type: string
          const: fully_annotated
          title: Column Id
          description: >-
            Queue-scoped filter identifier. This filter only works for
            annotation-queue searches that provide queue context.
          default: fully_annotated
        type:
          type: string
          const: fully_annotated
          title: Type
          default: fully_annotated
        user_ids:
          anyOf:
            - items:
                type: string
                format: uuid4
              type: array
              minItems: 1
            - type: 'null'
          title: User Ids
          description: >-
            Optional queue member IDs to require for full annotation in a
            queue-scoped search. If omitted, all tracked queue members visible
            to the requester are used.
      type: object
      title: LogRecordsFullyAnnotatedFilter
      description: Queue-scoped filter for records rated across all queue templates.
    FilterExpression_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      anyOf:
        - $ref: >-
            #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
        - $ref: >-
            #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
        - $ref: >-
            #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
        - $ref: >-
            #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____:
      properties:
        filter:
          oneOf:
            - $ref: '#/components/schemas/LogRecordsIDFilter'
            - $ref: '#/components/schemas/LogRecordsDateFilter'
            - $ref: '#/components/schemas/LogRecordsNumberFilter'
            - $ref: '#/components/schemas/LogRecordsBooleanFilter'
            - $ref: '#/components/schemas/LogRecordsCollectionFilter'
            - $ref: '#/components/schemas/LogRecordsTextFilter'
            - $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
          title: Filter
          discriminator:
            propertyName: type
            mapping:
              boolean:
                $ref: '#/components/schemas/LogRecordsBooleanFilter'
              collection:
                $ref: '#/components/schemas/LogRecordsCollectionFilter'
              date:
                $ref: '#/components/schemas/LogRecordsDateFilter'
              fully_annotated:
                $ref: '#/components/schemas/LogRecordsFullyAnnotatedFilter'
              id:
                $ref: '#/components/schemas/LogRecordsIDFilter'
              number:
                $ref: '#/components/schemas/LogRecordsNumberFilter'
              text:
                $ref: '#/components/schemas/LogRecordsTextFilter'
      type: object
      required:
        - filter
      title: >-
        FilterLeaf[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      properties:
        and:
          items:
            anyOf:
              - $ref: >-
                  #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
              - $ref: >-
                  #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          type: array
          title: And
      type: object
      required:
        - and
      title: >-
        AndNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      properties:
        or:
          items:
            anyOf:
              - $ref: >-
                  #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
              - $ref: >-
                  #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
              - $ref: >-
                  #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          type: array
          title: Or
      type: object
      required:
        - or
      title: >-
        OrNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
    NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input:
      properties:
        not:
          anyOf:
            - $ref: >-
                #/components/schemas/FilterLeaf_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____
            - $ref: >-
                #/components/schemas/AndNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
            - $ref: >-
                #/components/schemas/OrNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
            - $ref: >-
                #/components/schemas/NotNode_Annotated_Union_LogRecordsIDFilter__LogRecordsDateFilter__LogRecordsNumberFilter__LogRecordsBooleanFilter__LogRecordsCollectionFilter__LogRecordsTextFilter__LogRecordsFullyAnnotatedFilter___FieldInfo_annotation_NoneType__required_True__discriminator__type____-Input
          title: Not
      type: object
      required:
        - not
      title: >-
        NotNode[Annotated[Union[LogRecordsIDFilter, LogRecordsDateFilter,
        LogRecordsNumberFilter, LogRecordsBooleanFilter,
        LogRecordsCollectionFilter, LogRecordsTextFilter,
        LogRecordsFullyAnnotatedFilter], FieldInfo(annotation=NoneType,
        required=True, discriminator='type')]]
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````